Bug 444143 - Build regression on PPC64
Build regression on PPC64
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: xulrunner (Show other bugs)
5.2
ppc64 Linux
low Severity low
: rc
: ---
Assigned To: Martin Stransky
: Regression
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-04-25 08:42 EDT by Martin Stransky
Modified: 2008-05-21 10:25 EDT (History)
2 users (show)

See Also:
Fixed In Version: RHEA-2008-0479
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-05-21 10:25:14 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Martin Stransky 2008-04-25 08:42:37 EDT
Description of problem:

Packages don't build against xulrunner on ppc64 because __ppc64__ is not defined
here. __powerpc64__ is the right one.

Build Log:

Installing /builddir/build/SRPMS/devhelp-0.12-17.el5.src.rpm
Building target platforms: ppc64
Building for target ppc64
Executing(%prep): /bin/sh -e /var/tmp/rpm-tmp.69195
+ umask 022
+ cd /builddir/build/BUILD
+ LANG=C
+ export LANG
+ unset DISPLAY
+ cd /builddir/build/BUILD
+ rm -rf devhelp-0.12
+ /usr/bin/bzip2 -dc /builddir/build/SOURCES/devhelp-0.12.tar.bz2
+ tar -xf -
+ STATUS=0
+ '[' 0 -ne 0 ']'
+ cd devhelp-0.12
++ /usr/bin/id -u
+ '[' 250 = 0 ']'
++ /usr/bin/id -u
+ '[' 250 = 0 ']'
+ /bin/chmod -Rf a+rX,u+w,g-w,o-w .
+ echo 'Patch #0 (devhelp-0.12-transparent.patch):'
Patch #0 (devhelp-0.12-transparent.patch):
+ patch -p1 -b --suffix .transparent -s
+ echo 'Patch #1 (devhelp-0.12-xulrunner.patch):'
Patch #1 (devhelp-0.12-xulrunner.patch):
+ patch -p1 -b --suffix .xl -s
+ exit 0
Executing(%build): /bin/sh -e /var/tmp/rpm-tmp.33078
+ umask 022
+ cd /builddir/build/BUILD
+ cd devhelp-0.12
+ LANG=C
+ export LANG
+ unset DISPLAY
+ CFLAGS='-O2 -g -pipe -Wall -Wp,-D_FORTIFY_SOURCE=2 -fexceptions
-fstack-protector --param=ssp-buffer-size=4 -m64 -mminimal-toc'
+ export CFLAGS
+ CXXFLAGS='-O2 -g -pipe -Wall -Wp,-D_FORTIFY_SOURCE=2 -fexceptions
-fstack-protector --param=ssp-buffer-size=4 -m64 -mminimal-toc'
+ export CXXFLAGS
+ FFLAGS='-O2 -g -pipe -Wall -Wp,-D_FORTIFY_SOURCE=2 -fexceptions
-fstack-protector --param=ssp-buffer-size=4 -m64 -mminimal-toc'
+ export FFLAGS
++ find . -name config.guess -o -name config.sub
+ for i in '$(find . -name config.guess -o -name config.sub)'
++ basename ./config.guess
+ '[' -f /usr/lib/rpm/redhat/config.guess ']'
+ /bin/rm -f ./config.guess
++ basename ./config.guess
+ /bin/cp -fv /usr/lib/rpm/redhat/config.guess ./config.guess
`/usr/lib/rpm/redhat/config.guess' -> `./config.guess'
+ for i in '$(find . -name config.guess -o -name config.sub)'
++ basename ./config.sub
+ '[' -f /usr/lib/rpm/redhat/config.sub ']'
+ /bin/rm -f ./config.sub
++ basename ./config.sub
+ /bin/cp -fv /usr/lib/rpm/redhat/config.sub ./config.sub
`/usr/lib/rpm/redhat/config.sub' -> `./config.sub'
+ ./configure --build=powerpc64-redhat-linux-gnu
--host=powerpc64-redhat-linux-gnu --target=ppc64-redhat-linux-gnu
--program-prefix= --prefix=/usr --exec-prefix=/usr --bindir=/usr/bin
--sbindir=/usr/sbin --sysconfdir=/etc --datadir=/usr/share
--includedir=/usr/include --libdir=/usr/lib64 --libexecdir=/usr/libexec
--localstatedir=/var --sharedstatedir=/usr/com --mandir=/usr/share/man
--infodir=/usr/share/info
checking for a BSD-compatible install... /usr/bin/install -c
checking whether build environment is sane... yes
checking for gawk... gawk
checking whether make sets $(MAKE)... yes
checking whether build environment is sane... yes
checking whether to enable maintainer-specific portions of Makefiles... no
checking for powerpc64-redhat-linux-gnu-gcc... no
checking for gcc... gcc
checking for C compiler default output file name... a.out
checking whether the C compiler works... yes
checking whether we are cross compiling... no
checking for suffix of executables... 
checking for suffix of object files... o
checking whether we are using the GNU C compiler... yes
checking whether gcc accepts -g... yes
checking for gcc option to accept ANSI C... none needed
checking for style of include used by make... GNU
checking dependency style of gcc... gcc3
checking for powerpc64-redhat-linux-gnu-g++... no
checking for powerpc64-redhat-linux-gnu-c++... no
checking for powerpc64-redhat-linux-gnu-gpp... no
checking for powerpc64-redhat-linux-gnu-aCC... no
checking for powerpc64-redhat-linux-gnu-CC... no
checking for powerpc64-redhat-linux-gnu-cxx... no
checking for powerpc64-redhat-linux-gnu-cc++... no
checking for powerpc64-redhat-linux-gnu-cl... no
checking for powerpc64-redhat-linux-gnu-FCC... no
checking for powerpc64-redhat-linux-gnu-KCC... no
checking for powerpc64-redhat-linux-gnu-RCC... no
checking for powerpc64-redhat-linux-gnu-xlC_r... no
checking for powerpc64-redhat-linux-gnu-xlC... no
checking for g++... g++
checking whether we are using the GNU C++ compiler... yes
checking whether g++ accepts -g... yes
checking dependency style of g++... gcc3
checking for library containing strerror... none required
checking how to run the C preprocessor... gcc -E
checking for egrep... grep -E
checking for ANSI C header files... yes
checking build system type... powerpc64-redhat-linux-gnu
checking host system type... powerpc64-redhat-linux-gnu
checking for a sed that does not truncate output... /bin/sed
checking for ld used by gcc... /usr/bin/ld
checking if the linker (/usr/bin/ld) is GNU ld... yes
checking for /usr/bin/ld option to reload object files... -r
checking for BSD-compatible nm... /usr/bin/nm -B
checking whether ln -s works... yes
checking how to recognise dependent libraries... pass_all
checking for sys/types.h... yes
checking for sys/stat.h... yes
checking for stdlib.h... yes
checking for string.h... yes
checking for memory.h... yes
checking for strings.h... yes
checking for inttypes.h... yes
checking for stdint.h... yes
checking for unistd.h... yes
checking dlfcn.h usability... yes
checking dlfcn.h presence... yes
checking for dlfcn.h... yes
checking how to run the C++ preprocessor... g++ -E
checking for powerpc64-redhat-linux-gnu-g77... no
checking for powerpc64-redhat-linux-gnu-f77... no
checking for powerpc64-redhat-linux-gnu-xlf... no
checking for powerpc64-redhat-linux-gnu-frt... no
checking for powerpc64-redhat-linux-gnu-pgf77... no
checking for powerpc64-redhat-linux-gnu-fort77... no
checking for powerpc64-redhat-linux-gnu-fl32... no
checking for powerpc64-redhat-linux-gnu-af77... no
checking for powerpc64-redhat-linux-gnu-f90... no
checking for powerpc64-redhat-linux-gnu-xlf90... no
checking for powerpc64-redhat-linux-gnu-pgf90... no
checking for powerpc64-redhat-linux-gnu-epcf90... no
checking for powerpc64-redhat-linux-gnu-f95... no
checking for powerpc64-redhat-linux-gnu-fort... no
checking for powerpc64-redhat-linux-gnu-xlf95... no
checking for powerpc64-redhat-linux-gnu-ifc... no
checking for powerpc64-redhat-linux-gnu-efc... no
checking for powerpc64-redhat-linux-gnu-pgf95... no
checking for powerpc64-redhat-linux-gnu-lf95... no
checking for powerpc64-redhat-linux-gnu-gfortran... no
checking for g77... no
checking for f77... no
checking for xlf... no
checking for frt... no
checking for pgf77... no
checking for fort77... no
checking for fl32... no
checking for af77... no
checking for f90... no
checking for xlf90... no
checking for pgf90... no
checking for epcf90... no
checking for f95... no
checking for fort... no
checking for xlf95... no
checking for ifc... no
checking for efc... no
checking for pgf95... no
checking for lf95... no
checking for gfortran... no
checking whether we are using the GNU Fortran 77 compiler... no
checking whether  accepts -g... no
checking the maximum length of command line arguments... 32768
checking command to parse /usr/bin/nm -B output from gcc object... ok
checking for objdir... .libs
checking for powerpc64-redhat-linux-gnu-ar... no
checking for ar... ar
checking for powerpc64-redhat-linux-gnu-ranlib... no
checking for ranlib... ranlib
checking for powerpc64-redhat-linux-gnu-strip... no
checking for strip... strip
checking if gcc supports -fno-rtti -fno-exceptions... no
checking for gcc option to produce PIC... -fPIC
checking if gcc PIC flag -fPIC works... yes
checking if gcc static flag -static works... yes
checking if gcc supports -c -o file.o... yes
checking whether the gcc linker (/usr/bin/ld -m elf64ppc) supports shared
libraries... yes
checking whether -lc should be explicitly linked in... no
checking dynamic linker characteristics... cat: ld.so.conf.d/*.conf: No such
file or directory
GNU/Linux ld.so
checking how to hardcode library paths into programs... immediate
checking whether stripping libraries is possible... yes
checking if libtool supports shared libraries... yes
checking whether to build shared libraries... yes
checking whether to build static libraries... yes
configure: creating libtool
appending configuration tag "CXX" to libtool
checking for ld used by g++... /usr/bin/ld -m elf64ppc
checking if the linker (/usr/bin/ld -m elf64ppc) is GNU ld... yes
checking whether the g++ linker (/usr/bin/ld -m elf64ppc) supports shared
libraries... yes
checking for g++ option to produce PIC... -fPIC
checking if g++ PIC flag -fPIC works... yes
checking if g++ static flag -static works... yes
checking if g++ supports -c -o file.o... yes
checking whether the g++ linker (/usr/bin/ld -m elf64ppc) supports shared
libraries... yes
checking dynamic linker characteristics... cat: ld.so.conf.d/*.conf: No such
file or directory
GNU/Linux ld.so
checking how to hardcode library paths into programs... immediate
appending configuration tag "F77" to libtool
checking for pkg-config... /usr/bin/pkg-config
checking for GLIB - version >= 2.0.0... yes (version 2.12.3)
checking for perl... /usr/bin/perl
checking for XML::Parser... ok
checking for iconv... /usr/bin/iconv
checking for msgfmt... /usr/bin/msgfmt
checking for msgmerge... /usr/bin/msgmerge
checking for xgettext... /usr/bin/xgettext
checking for gconftool-2... /usr/bin/gconftool-2
Using config source xml:merged:/etc/gconf/gconf.xml.defaults for schema installation
Using $(sysconfdir)/gconf/schemas as install directory for schema files
checking whether gcc understands -Wno-sign-compare... yes
checking what warning flags to pass to the C compiler... -Wall -Wunused
-Wchar-subscripts -Wmissing-declarations -Wmissing-prototypes -Wnested-externs
-Wpointer-arith -Wno-sign-compare -Werror
checking for powerpc64-redhat-linux-gnu-pkg-config... (cached) /usr/bin/pkg-config
checking pkg-config is at least version 0.9.0... yes
checking for DEVHELP... yes
checking for LIBDEVHELP... yes
checking which gecko to use... libxul
checking for compiler -fshort-wchar option... yes
checking whether to enable C++ RTTI... no
checking whether we have a gtk 2 gecko build... configure: error: This program
needs a gtk 2 gecko build
error: Bad exit status from /var/tmp/rpm-tmp.33078 (%build)



Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 4 Martin Stransky 2008-04-28 04:34:49 EDT
fixed in xulrunner-1.9-0.beta5.6.el5
Comment 10 errata-xmlrpc 2008-05-21 10:25:14 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHEA-2008-0479.html

Note You need to log in before you can comment on or make changes to this bug.